# eric6.E5Network.E5NetworkProxyFactory

Module implementing a network proxy factory.

### Global Attributes

None

### Classes

E5NetworkProxyFactory | Class implementing a network proxy factory.

### Functions

proxyAuthenticationRequired | Module slot to handle a proxy authentication request.
schemeFromProxyType | Module function to determine the scheme name from the proxy type.

## E5NetworkProxyFactory

Class implementing a network proxy factory.

### Derived from

QNetworkProxyFactory

### Class Attributes

None

### Class Methods

None

### Methods

E5NetworkProxyFactory | Constructor
queryProxy | Public method to determine a proxy for a given query.

### Static Methods

None

#### E5NetworkProxyFactory (Constructor)

E5NetworkProxyFactory()

Constructor

#### E5NetworkProxyFactory.queryProxy

queryProxy(query)

Public method to determine a proxy for a given query.

query
  reference to the query object (QNetworkProxyQuery)

Returns:
  list of proxies in order of preference (list of QNetworkProxy)

Up

## proxyAuthenticationRequired

proxyAuthenticationRequired(proxy, auth)

Module slot to handle a proxy authentication request.

proxy
  reference to the proxy object (QNetworkProxy)
auth
  reference to the authenticator object (QAuthenticator)

Up

## schemeFromProxyType

schemeFromProxyType(proxyType)

Module function to determine the scheme name from the proxy type.

proxyType
  type of the proxy (QNetworkProxy.ProxyType)

Returns:
  scheme (string, one of Http, Https, Ftp)

Up